<!DOCTYPE html>

<html lang="en" data-content_root="../">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="viewport" content="width=device-width, initial-scale=1" />

    <title>folder_structure &#8212; folder-structure 0.0.post1.dev1+g08229bb.d20231212 documentation</title>
    <link rel="stylesheet" type="text/css" href="../_static/pygments.css?v=fa44fd50" />
    <link rel="stylesheet" type="text/css" href="../_static/alabaster.css?v=233b9934" />
    <script src="../_static/documentation_options.js?v=9da889c1"></script>
    <script src="../_static/doctools.js?v=888ff710"></script>
    <script src="../_static/sphinx_highlight.js?v=dc90522c"></script>
    <link rel="index" title="Index" href="../genindex.html" />
    <link rel="search" title="Search" href="../search.html" />
    <link rel="next" title="folder_structure package" href="folder_structure.html" />
    <link rel="prev" title="Changelog" href="../changelog.html" />
   
  <link rel="stylesheet" href="../_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <section id="folder-structure">
<h1>folder_structure<a class="headerlink" href="#folder-structure" title="Link to this heading">¶</a></h1>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="folder_structure.html">folder_structure package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="folder_structure.html#submodules">Submodules</a></li>
<li class="toctree-l2"><a class="reference internal" href="folder_structure.html#module-folder_structure.cli">folder_structure.cli module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="folder_structure.html#folder_structure.cli.build"><code class="docutils literal notranslate"><span class="pre">build()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="folder_structure.html#folder_structure.cli.main"><code class="docutils literal notranslate"><span class="pre">main()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="folder_structure.html#folder_structure.cli.parse_args"><code class="docutils literal notranslate"><span class="pre">parse_args()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="folder_structure.html#folder_structure.cli.run"><code class="docutils literal notranslate"><span class="pre">run()</span></code></a></li>
<li class="toctree-l3"><a class="reference internal" href="folder_structure.html#folder_structure.cli.setup_logging"><code class="docutils literal notranslate"><span class="pre">setup_logging()</span></code></a></li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="folder_structure.html#module-folder_structure.folder">folder_structure.folder module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="folder_structure.html#folder_structure.folder.Folder"><code class="docutils literal notranslate"><span class="pre">Folder</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="folder_structure.html#folder_structure.folder.Folder.build"><code class="docutils literal notranslate"><span class="pre">Folder.build()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="folder_structure.html#folder_structure.folder.Folder.id"><code class="docutils literal notranslate"><span class="pre">Folder.id</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="folder_structure.html#folder_structure.folder.Folder.model_config"><code class="docutils literal notranslate"><span class="pre">Folder.model_config</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="folder_structure.html#folder_structure.folder.Folder.model_fields"><code class="docutils literal notranslate"><span class="pre">Folder.model_fields</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="folder_structure.html#folder_structure.folder.Folder.name"><code class="docutils literal notranslate"><span class="pre">Folder.name</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="folder_structure.html#folder_structure.folder.Folder.parent"><code class="docutils literal notranslate"><span class="pre">Folder.parent</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="folder_structure.html#folder_structure.folder.Folder.path"><code class="docutils literal notranslate"><span class="pre">Folder.path()</span></code></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="folder_structure.html#module-folder_structure.schema">folder_structure.schema module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="folder_structure.html#folder_structure.schema.Schema"><code class="docutils literal notranslate"><span class="pre">Schema</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="folder_structure.html#folder_structure.schema.Schema.generate"><code class="docutils literal notranslate"><span class="pre">Schema.generate()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="folder_structure.html#folder_structure.schema.Schema.is_folder"><code class="docutils literal notranslate"><span class="pre">Schema.is_folder()</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="folder_structure.html#folder_structure.schema.Schema.knownClasses"><code class="docutils literal notranslate"><span class="pre">Schema.knownClasses</span></code></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="folder_structure.html#module-folder_structure">Module contents</a></li>
</ul>
</li>
</ul>
</div>
</section>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="../index.html">folder-structure</a></h1>








<h3>Navigation</h3>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="../readme.html">Overview</a></li>
<li class="toctree-l1"><a class="reference internal" href="../contributing.html">Contributions &amp; Help</a></li>
<li class="toctree-l1"><a class="reference internal" href="../license.html">License</a></li>
<li class="toctree-l1"><a class="reference internal" href="../authors.html">Authors</a></li>
<li class="toctree-l1"><a class="reference internal" href="../changelog.html">Changelog</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">Module Reference</a><ul>
<li class="toctree-l2"><a class="reference internal" href="folder_structure.html">folder_structure package</a></li>
</ul>
</li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="../index.html">Documentation overview</a><ul>
      <li>Previous: <a href="../changelog.html" title="previous chapter">Changelog</a></li>
      <li>Next: <a href="folder_structure.html" title="next chapter">folder_structure package</a></li>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2023, Branden Kappes.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 7.2.6</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.13</a>
      
      |
      <a href="../_sources/api/modules.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>